const { mix } = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */
mix .js('resources/assets/flatlab/js/app.js', 'flatlab/js/all.js')
    .sass('resources/assets/flatlab/sass/app.scss', 'public/flatlab/css/all.css')
    .copy('resources/assets/flatlab/js/html5shiv.js', 'public/flatlab/js/html5shiv.js',false)
    .copy('resources/assets/flatlab/js/respond.min.js', 'public/flatlab/js/respond.min.js',false)
    .copy('resources/assets/flatlab/assets','public/assets',false);
